> For the complete documentation index, see [llms.txt](https://docs.ordinalsbot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ordinalsbot.com/api/webhooks.md).

# Webhooks

## Receiving Webhooks

While creating an inscription order using [Create a Direct Inscription Order](/api/create-a-direct-inscription-order.md) or [Create a Collection Order](/api/create-a-collection-order.md) you can provide a webhook URL and you can receive updates on your orders sent directly to a publicly reachable endpoint you provide.

Here are the regular states an inscription order will go through and the format of the `body` of `POST` request your `webhookUrl` will receive:

#### Payment seen on mempool, pending confirmation

```json
{
    "id":"4fc7b183-b06f-4cb0-b592-7bc9e9cd05ff",
    "state":"waiting-confirmation"
}
```

#### Payment confirmed, inscription data is being prepared

```json
{
    "id":"4fc7b183-b06f-4cb0-b592-7bc9e9cd05ff",
    "state":"prep"
}
```

#### Inscription queued for processing

```json
{
    "id":"4fc7b183-b06f-4cb0-b592-7bc9e9cd05ff",
    "state":"queued"
}
```

#### File inscribed

Note that you will get below data for each file in your order

```json
{
    "id":"4fc7b183-b06f-4cb0-b592-7bc9e9cd05ff",
    "index":0,
    "file":{
        "iqueued":true,
        "iqueuedAt":1705530878658,
        "name":"test-ordinalsbot.com.txt",
        "s3Key":"d6642396-38eb-4578-b41f-355718723d71_test-ordinalsbot.com.txt",
        "size":15,
        "type":"text/plain",
        "url":"https://ordinalsbot-testnet.s3.amazonaws.com/d6642396-38eb-4578-b41f-355718723d71_test-ordinalsbot.com.txt"
    },
    "tx":{
        "commit":"db3f40a9a5850a7edef8cdd020743273239dbdadd4abaa5c03bf74ff6e2ea269",
        "parent":null,
        "reveal":"b0ae586b6e7d4defb6cd54c5fb87f4311cf1595a5e6674ade31c42a5011b70e0",
        "total_fees":295,
        "inscription":"b0ae586b6e7d4defb6cd54c5fb87f4311cf1595a5e6674ade31c42a5011b70e0i0",
        "updatedAt":"2024-01-17T22:34:40.766Z"
    }
}
```

{% hint style="info" %}
Get in touch for any feedback/questions/issues regarding this in **#developers** channel on our discord: [https://discord.ordinalsbot.com](https://discord.ordinalsbot.com/)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/api/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
